/*******************************************************************************
* File Name: stepper_1_counterStatus.h  
* Version 1.80
*
* Description:
*  This file containts Status Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_STATUS_REG_stepper_1_counterStatus_H) /* CY_STATUS_REG_stepper_1_counterStatus_H */
#define CY_STATUS_REG_stepper_1_counterStatus_H

#include "cytypes.h"
#include "CyLib.h"


/***************************************
*        Function Prototypes
***************************************/

uint8 stepper_1_counterStatus_Read(void) ;
void stepper_1_counterStatus_InterruptEnable(void) ;
void stepper_1_counterStatus_InterruptDisable(void) ;
void stepper_1_counterStatus_WriteMask(uint8 mask) ;
uint8 stepper_1_counterStatus_ReadMask(void) ;


/***************************************
*           API Constants
***************************************/

#define stepper_1_counterStatus_STATUS_INTR_ENBL    0x10u


/***************************************
*         Parameter Constants
***************************************/

/* Status Register Inputs */
#define stepper_1_counterStatus_INPUTS              1


/***************************************
*             Registers
***************************************/

/* Status Register */
#define stepper_1_counterStatus_Status             (* (reg8 *) stepper_1_counterStatus_sts_sts_reg__STATUS_REG )
#define stepper_1_counterStatus_Status_PTR         (  (reg8 *) stepper_1_counterStatus_sts_sts_reg__STATUS_REG )
#define stepper_1_counterStatus_Status_Mask        (* (reg8 *) stepper_1_counterStatus_sts_sts_reg__MASK_REG )
#define stepper_1_counterStatus_Status_Aux_Ctrl    (* (reg8 *) stepper_1_counterStatus_sts_sts_reg__STATUS_AUX_CTL_REG )

#endif /* End CY_STATUS_REG_stepper_1_counterStatus_H */


/* [] END OF FILE */
